package loggo

import (
	"os"
)

func ResetLogging() {
	modules = map[string]*module{
		"": root,
	}
	root.level = WARNING
}

func ResetWriters() {
	writerMutex.Lock()
	defer writerMutex.Unlock()
	writers = map[string]*registeredWriter{
		"default": &registeredWriter{
			writer: NewSimpleWriter(os.Stderr, &DefaultFormatter{}),
			level:  TRACE,
		},
	}
}
