package loggo_test

import (
	"path"
	"time"

	"launchpad.net/loggo"
)

type logValues struct {
	level     loggo.Level
	module    string
	filename  string
	line      int
	timestamp time.Time
	message   string
}

type testWriter struct {
	log []logValues
}

func (writer *testWriter) Write(level loggo.Level, module, filename string, line int, timestamp time.Time, message string) {
	if writer.log == nil {
		writer.log = []logValues{}
	}
	writer.log = append(writer.log,
		logValues{level, module, path.Base(filename), line, timestamp, message})
}
